Options
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
formIdstringObrigatório
ID do formulario
fieldIdstringObrigatório
ID do campo
Respostas
200
Field options listed
application/json
typestring · enumObrigatórioValores possíveis:
database_idstringOpcional
key_field_idstringOpcional
description_field_idstringOpcional
listing_rule_idstringOpcional
404
Form was not found
application/json
422
A query param was invalid
application/json
500
An internal server error was thrown
application/json
get/forms/{formId}/fields/{fieldId}/options
GET /api/b2b/forms/{formId}/fields/{fieldId}/options HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"type": "MANUAL",
"manual_options": [
{
"id": "text",
"value": "text",
"description": "text"
}
],
"database_id": "text",
"key_field_id": "text",
"description_field_id": "text",
"listing_rule_id": "text"
}Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
formIdstringObrigatório
ID do formulário
fieldIdstringObrigatório
ID do campo
Corpo
typestring · enumOpcionalValores possíveis:
database_idstringOpcional
key_field_idstringOpcional
description_field_idstringOpcional
listing_rule_idstringOpcional
Respostas
201
Criado
application/json
stringOpcional
404
Form was not found
application/json
422
A validation error was thrown
application/json
500
An internal server error was thrown
application/json
put/forms/{formId}/fields/{fieldId}/options
PUT /api/b2b/forms/{formId}/fields/{fieldId}/options HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 172
{
"type": "MANUAL",
"manual_options": [
{
"description": "text",
"value": "text"
}
],
"database_id": "text",
"key_field_id": "text",
"description_field_id": "text",
"listing_rule_id": "text"
}text